%global srcname authres

Name:           python-%{srcname}
Version:        1.2.0
Release:    1%{?dist}
Summary:        Authentication Results Header Module
License:        ASL 2.0
URL:            https://launchpad.net/authentication-results-python
Source0:	https://launchpad.net/authentication-results-python/1.2/%{version}/+download/%{srcname}-%{version}.tar.gz
Source1:	https://launchpad.net/authentication-results-python/1.2/%{version}/+download/%{srcname}-%{version}.tar.gz.asc
Source2:	https://db.debian.org/fetchkey.cgi?fingerprint=E7729BFFBE85400FEEEE23B178D7DEFB9AD59AF1#/GPG-KEY-kitterman
BuildArch:      noarch
BuildRequires:	gnupg2

%global _description\
RFC 8601 Authentication-Results Headers generation and parsing for\
Python/Python3.  See README for extension RFCs implemented.

%description %_description

%package -n python3-%{srcname}
Summary: %summary
BuildRequires: python3-devel python3-setuptools

%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname} %_description

%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup -n %{srcname}-%{version}


%build
%py3_build


%install
%py3_install


%check
%{python3} -m authres


%files -n python3-%{srcname}
%license COPYING
%doc CHANGES README
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-*.egg-info/


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.0-1
- initial build
